package com.lovcoding.day01;

public interface Test04_XianShi {

    public static void main(String[] args) {
        //数据类型 变量 = (数据类型) 被转换的值。
        //直接赋值
        int i = (int) 3.1415;
        System.out.println(i);//丢失精度

        //变量赋值
        int i2 = 128;
        byte b = (byte) i2;
        System.out.println(b); //溢出

        //数据操作
        int i11 = 100;
        int i22 = 100;

        short s11 =(short) (i11+i22); //没溢出
        System.out.println(s11);

        //int ->char
        int i3 = 97;
        char c3 = (char) i3;
        System.out.println(c3); // ANSII 转换 int 正整数  转回 相反需要 数值转化字符

        System.out.println((int)'你');
        System.out.println((char)20320);


        System.out.println((byte) 12345);

    }
}
